Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmSolvedETCubeDimensionality

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mtm.MtmObject
                  |
                  +--oracle.olapi.metadata.mtm.MtmCubeDimensionality
                        |
                        +--oracle.olapi.metadata.mtm.MtmSolvedCubeDimensionality
                              |
                              +--oracle.olapi.metadata.mtm.MtmSolvedETCubeDimensionality

public class MtmSolvedETCubeDimensionality
extends MtmSolvedCubeDimensionality

An `MtmSolvedCubeDimensionality` object for one hierarchy in a solved `MtmBaseCube` whose fact table includes both detail (leaf) data and aggregate data for the associated measures. Such a cube is an ET (Embedded Totals) cube.

The fact table for an ET cube has the following two columns (among others) for each hierarchy.

- An ET column, which contains the dimension value for the row in the fact table. That is, it stores in the row the value of the lowest populated level of the hierarchy.
- A GID column, which identifies the level for the row in the fact table. The GID value is a binary number.

Method Summary
`java.lang.Object` | `acceptVisitor(MtmObjectVisitor visitor, java.lang.Object context)` Calls the `visitMtmSolvedETCubeDimensionality` method of the specified `MtmObjectVisitor` and passes that method the `MtmSolvedETCubeDimensionality` and the specified `Object`.
`MtmValueExpression` | `getLevelExpression()` Gets the GID column for the hierarchy from the fact table for the `MtmBaseCube`.
`MtmValueExpression` | `getValueExpression()` Gets the ET column for the hierarchy from the fact table for the `MtmBaseCube`.
`boolean` | `hasUniqueValues()` Indicates whether the values of the ET column are unique.
`boolean` | `qualifyGIDForMeasureQuery()` Indicates whether the SQL generator must qualify its specification of the ET column with the GID column in the `WHERE` clause for a measure query.

Methods inherited from class oracle.olapi.metadata.mtm.MtmCubeDimensionality
`getDimensionIsDense, getDimensionMap, setDimensionIsDense, setDimensionMap`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(MtmObjectVisitor visitor,
                                          java.lang.Object context)

  Calls the `visitMtmSolvedETCubeDimensionality` method of the specified `MtmObjectVisitor` and passes that method the `MtmSolvedETCubeDimensionality` and the specified `Object`.
  Overrides:
    acceptVisitor in class MtmObject
  Parameters:
    `visitor` - An `MtmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitMtmSolvedETCubeDimensionality` method.

### getLevelExpression

    public MtmValueExpression getLevelExpression()

  Gets the GID column for the hierarchy from the fact table for the `MtmBaseCube`.
  Returns:
    An `MtmValueExpression` that represents the GID column for the hierarchy from the fact table for the `MtmBaseCube`.

### getValueExpression

    public MtmValueExpression getValueExpression()

  Gets the ET column for the hierarchy from the fact table for the `MtmBaseCube`.
  Returns:
    An `MtmValueExpression` that represents the ET column for the hierarchy from the fact table for the `MtmBaseCube`.

### qualifyGIDForMeasureQuery

    public boolean qualifyGIDForMeasureQuery()

  Indicates whether the SQL generator must qualify its specification of the ET column with the GID column in the `WHERE` clause for a measure query. Qualification is necessary for cubes based on relational data but is not necessary for cubes based on analytic workspace data.
  Returns:
    A `boolean` value that indicates whether the SQL generator must qualify its specification of the ET column with the GID column.

### hasUniqueValues

    public boolean hasUniqueValues()

  Indicates whether the values of the ET column are unique. If the values are unique, then the same value (such as "New York") cannot appear in more than one level (such as CITY and STATE). If the values are not unique, then the same value can appear in more than one level.

  Note that a given value can never appear more than once within the same level, under any circumstances.

  This method always returns true when a cube is based on data in an analytic workspace.

  Returns:
    A `boolean` value that indicates whether the values of the ET column are unique.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.